Subject: bug#52347: closed (Re: bug#53892: guix shell not reading manifest.scm when used with '--')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Mar 2022 14:06:02 +0000

Your bug report

#53892: Shell: error when -m manifest is removed

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53892: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53892
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53892: guix shell not reading manifest.scm when used with '--'
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, [email-masked]
Date: Wed, 02 Mar 2022 09:04:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 53892 notabug
--

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Josselin Poiret <[email-masked]> skribis:
>
>> Maxim Cournoyer <[email-masked]> writes:
>>
>>> --8<---------------cut here---------------start------------->8---
>>> $ guix shell -C -- make
>>> guix shell: warning: no packages specified; creating an empty environment
>>> guix shell: error: make: command not found
>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> The last command exhibit the problem.
>>
>> I believe this is [1].
>>
>> [1] https://issues.guix.gnu.org/52347#18
>
> Should we close as “notabug”?

That seems reasonable; and I see it's already documented as such.

Good for me!  Thanks for pointing it out.

Maxim

Subject: Shell: error when -m manifest is removed
From: Cayetano Santos <[email-masked]>
To: [email-masked]
Date: Tue, 07 Dec 2021 09:33:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix,

  Using latest guix, and considering a local manifest.scm file 
  with only

    (specifications->manifest (list "python"))

  Following command works

    guix shell --container -m manifest.scm -- python3

  But

    guix shell --container -- python3

gives an error. However,

    guix shell --container

followed by

    python3

works.

  So, by just removing the ’-m manifest.scm’ flag, I get an error.

Regards,

Cayetano Santos